Cloudflare
修改账号子域
修改账号子域
PUT /cloudflare/client/v4/accounts/{account_id}/workers/subdomain
Change the account subdomain.
支持状态: supported
参数
| 名称 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
| account_id | path | string | true | Any value; your account comes from the API key. |
请求体 (application/json)
必填: true
| 名称 | 类型 | 说明 |
|---|---|---|
| subdomain | string | Account subdomain, 8–32 lowercase letters and digits; part of every Worker URL. |
{
"type": "object",
"required": [
"subdomain"
],
"properties": {
"subdomain": {
"type": "string",
"description": "Account subdomain, 8–32 lowercase letters and digits; part of every Worker URL.",
"pattern": "^[a-z0-9]{8,32}$",
"example": "acme1234"
}
}
}响应
HTTP 200
Success
application/json
| 名称 | 类型 | 说明 |
|---|---|---|
| success | boolean | Always true on success. |
| errors | array<any> | Always empty on success. |
| messages | array<any> | Always empty on success. |
| result | object | |
| result.subdomain | string | Account subdomain, 8–32 lowercase letters and digits; part of every Worker URL. |
| result_info | object | Present on list responses. |
| result_info.page | integer | Page number. |
| result_info.per_page | integer | Page size. |
| result_info.count | integer | Items on this page. |